Page MenuHomeVyOS Platform

Bridge l2tpv3 + ethX errors
Closed, ResolvedPublicBUG

Description

Errors, when trying bridge l2pv3 l2tpethX + ethX

vyos@r-right# set interfaces bridge br0 description br0
[edit]
vyos@r-right# commit
[edit]
vyos@r-right# set interfaces l2tpv3 l2tpeth1 bridge-group bridge br0
[edit]
vyos@r-right# set interfaces ethernet eth1 bridge-group bridge br0
[edit]
vyos@r-right# commit
[ interfaces ethernet eth1 bridge-group ]
Use of uninitialized value in concatenation (.) or string at /opt/vyatta/sbin/vyatta-bridge.pl line 51.
Adding interface eth1 to bridge br0

[ interfaces l2tpv3 l2tpeth1 bridge-group ]
Use of uninitialized value in concatenation (.) or string at /opt/vyatta/sbin/vyatta-bridge.pl line 51.
Adding interface l2tpeth1 to bridge br0

[edit]
vyos@r-right# sudo brctl show
bridge name	bridge id		STP enabled	interfaces
br0		8000.500000030001	no		eth1
							l2tpeth1
[edit]
vyos@r-right# run show version 
Version:          VyOS 1.2.5
Built by:         Sentrium S.L.
Built on:         Sun 12 Apr 2020 15:18 UTC
Build UUID:       1695c660-d785-4b16-a54b-66d6a02ea24f
Build Commit ID:  48cc9fc46569e6

But bridge working

vyos@r-right# sudo brctl show
bridge name	bridge id		STP enabled	interfaces
br0		8000.500000030001	no		eth1
                     							l2tpeth1

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.2.5
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Dmitry changed the task status from Open to In progress.Apr 20 2020, 11:26 AM
Dmitry claimed this task.
pasik added a subscriber: pasik.Apr 20 2020, 1:50 PM
Dmitry changed the task status from In progress to Needs testing.Apr 20 2020, 5:16 PM
Dmitry edited projects, added VyOS 1.2 Crux (VyOS 1.2.6); removed VyOS 1.2 Crux.

PR https://github.com/vyos/vyatta-cfg-system/pull/123


@Viacheslav can you double-check this package with most popular interfaces in the bridge?

Dmitry closed this task as Resolved.May 21 2020, 6:58 AM